﻿#region Using directives

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Windows.Forms;

#endregion
using Microsoft.AnalysisServices.AdomdClient;

namespace DataGridSample
{
	partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void Populate_Click(object sender, EventArgs e)
		{
			//Connect to the server
			AdomdConnection con = new AdomdConnection();
			con.ConnectionString = "Datasource=localhost;Initial Catalog=Foodmart 2008";
			con.Open();
			string query = "SELECT {[Measures].[Unit Sales], [Measures].[Sales Count], [Measures].[Store Sales]} ON COLUMNS FROM [Warehouse and Sales]";
			//Create a DataAdapter object and specify the text of your MDX statement and the connection object
			AdomdDataAdapter da = new AdomdDataAdapter(query, con);
			//Create a data table and fill it with the results of your query
			DataTable dataTable = new DataTable();
			da.Fill(dataTable);
			//Close the connection
			con.Close();
			dataGridView1.DataSource = dataTable;
		}

	}
}