using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.AnalysisServices.AdomdClient;

namespace AdomdDimensionOrdinal
{
	class Program
	{
		static void Main(string[] args)
		{
			AdomdConnection con = new AdomdConnection();
			con.ConnectionString = "Datasource=localhost; Initial Catalog=Foodmart 2008;";
			con.Open();
			CubeDef cube = con.Cubes["Warehouse and Sales"];
			foreach (Dimension dim in cube.Dimensions)
			{
				Console.WriteLine("Dimension: '" + dim.Name + "' Ordinal= " + dim.Properties["DIMENSION_ORDINAL"].Value.ToString());
			}
			con.Close();
		}
	}
}
